Bug 210173 - Update for devel/qbs to 1.5.1
Summary: Update for devel/qbs to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-09 18:33 UTC by Marie Loise Nolden
Modified: 2016-06-10 05:33 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
qbs-1.5.1 svn diff against HEAD (2.40 KB, patch)
2016-06-09 18:33 UTC, Marie Loise Nolden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marie Loise Nolden 2016-06-09 18:33:14 UTC
Created attachment 171241 [details]
qbs-1.5.1 svn diff against HEAD

QtCreator 4.0.1 was released together with QBS 1.5.1 on June 8th, so here is an update to our ports for this bugfix release. More info can be found at

https://blog.qt.io/blog/2016/06/08/qt-creator-4-0-1-released/

The attached patches are svn diffs against ports HEAD.
Comment 1 Marie Loise Nolden 2016-06-09 18:36:00 UTC
The patchrelease compiles and installs without deinstalling qbs 1.5.0 before. However, qbs versions prior to 1.5.0 are known to cause compiling problems and should be removed before updating.
Comment 2 commit-hook freebsd_committer 2016-06-10 05:31:33 UTC
A commit references this bug:

Author: pi
Date: Fri Jun 10 05:30:59 UTC 2016
New revision: 416652
URL: https://svnweb.freebsd.org/changeset/ports/416652

Log:
  devel/qbs: 1.5.0 -> 1.5.1

  Changes: https://blog.qt.io/blog/2016/06/08/qt-creator-4-0-1-released/
  - Allows compiling with GCC 6

  PR:		210173
  Submitted by:	Ralf Nolden <nolden@kde.org> (kde)

Changes:
  head/devel/qbs/Makefile
  head/devel/qbs/distinfo
  head/devel/qbs/pkg-plist
Comment 3 Kurt Jaeger freebsd_committer 2016-06-10 05:33:02 UTC
Testbuilds are fine, committed, thanks!